package com.changda.gjjapp.zhfwpt.service.impl.wjdc;
import java.util.*;

import com.changda.gjjapp.db.entity.M_TSXQ;
import com.changda.gjjapp.zhfwpt.dao.wjdc.IM_TSXQDao;
import com.changda.gjjapp.zhfwpt.service.wjdc.IM_TSXQService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;
import org.springframework.transaction.annotation.Transactional;

@Service
public class M_TSXQService implements IM_TSXQService
{

 @Autowired
 private IM_TSXQDao m_tsxqDao;

 public List<M_TSXQ> query(Map map)
 {
  return m_tsxqDao.query(map);
 }

 public M_TSXQ queryByKey(Map map)
 {
  return m_tsxqDao.queryByKey(map);
 }

 @Override
 public int count(Map map)
 {
  return m_tsxqDao.count(map);
 }

 @Override
 public int countByKey()
 {
  Map<String,Object> inputmap = new HashMap<String,Object>();
  return m_tsxqDao.count(inputmap);
 }

 @Override
 public void insert(M_TSXQ m_tsxq)
 {
  m_tsxqDao.insert(m_tsxq);
 }

 @Override
 public void delete(M_TSXQ m_tsxq)
 {
  m_tsxqDao.delete(m_tsxq);
 }

 @Override
 public void deleteByKey()
 {
  M_TSXQ m_tsxq = new M_TSXQ();
  m_tsxqDao.delete(m_tsxq);
 }

 @Override
 public void update(M_TSXQ m_tsxq)
 {
  m_tsxqDao.update(m_tsxq);
 }

 @Override
 @Transactional
 public void insert(List<M_TSXQ> listm_tsxq)
 {
  for(M_TSXQ m_tsxq:listm_tsxq)
  {
   m_tsxqDao.insert(m_tsxq);
  }

 }

 @Override
 @Transactional
 public void delete(List<M_TSXQ> listm_tsxq)
 {
  for(M_TSXQ m_tsxq:listm_tsxq)
  {
   m_tsxqDao.delete(m_tsxq);
  }

 }

 @Override
 @Transactional
 public void update(List<M_TSXQ> listm_tsxq)
 {
  for(M_TSXQ m_tsxq:listm_tsxq)
  {
   m_tsxqDao.update(m_tsxq);
  }

 }
}

